# Return all projects' monitoring results

This function returns information about the cPanel user's Site Quality Monitoring projects' most recent monitoring check results.

Endpoint: POST /SiteQuality/get_all_scores
Version: 11.136.0.14
Security: BasicAuth

## Query parameters:

  - `verbose` (integer,null, required)
    Whether to enable verbose output.

 Note: 

This includes information about the user's Site Quality Monitoring project's most recent results in each monitoring check subcategory.
    Enum: 0, 1, null

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_all_scores"

  - `module` (string)
    The name of the module called.
    Example: "SiteQuality"

  - `result` (object)

  - `result.data` (object)
    An object that contains score details.

  - `result.data.scores` (array)
    An array of objects containing score data and the associated system information.

  - `result.data.scores.system` (object)

  - `result.data.scores.system.name` (string)
    The name of the project.
    Example: "MyProject"

  - `result.data.scores.system.id` (integer)
    The project's ID number.
    Example: 2542

  - `result.data.scores.scores` (object)

  - `result.data.scores.scores.basic-uptime` (object)

  - `result.data.scores.scores.basic-uptime.master` (object)
    The overall results for the check.

  - `result.data.scores.scores.basic-uptime.master.title` (string)
    The title of the check.
    Example: "Uptime"

  - `result.data.scores.scores.basic-uptime.master.status` (string)
    The check's summarized status.
  * good — The check has returned a positive result.
  * bad  — The check has returned a negative result.
    Enum: "good", "bad"

  - `result.data.scores.scores.basic-uptime.master.message` (string)
    The check's status message.
    Example: "The project is proving to be very reliable (currently and in the last 30 days) and has good accessibility. The current level should be maintained."

  - `result.data.scores.scores.basic-uptime.master.description` (string)
    A description of the check.
    Example: "If a project is unavailable, customers cannot visit, browse or make purchases. The accessibility assessment is based on the current situation, but also on historical values and trends."

  - `result.data.scores.scores.basic-uptime.master.identifier` (string)
    An unique identifier for the check.
    Example: "Score:Basic:Uptime"

  - `result.data.scores.scores.basic-uptime.master.score` (integer)
    A numeral score for the check.

 Note: 

A higher score indicates that your website performs well in that check.
    Example: 100

  - `result.data.scores.scores.basic-uptime.master.incidents` (array)
    Example: []

  - `result.data.scores.scores.basic-uptime.master.attributes` (object)

  - `result.data.scores.scores.basic-uptime.master.attributes.score` (integer)
    Example: 100

  - `result.data.scores.scores.basic-uptime.master.attributes.limit` (integer)

  - `result.data.scores.scores.basic-uptime.sub_scores` (array)
    Monitoring checks subcategory results.

 Note: 

We use the check subcategory results to calculate the master results.
    Example: []

  - `result.data.scores.scores.basic-uptime.sub_scores.title` (string)
    The title of the check subcategory.
    Example: "Current availability"

  - `result.data.scores.scores.basic-uptime.sub_scores.status` (string)
    The check subcategory's summarized status.
  * good — The check has returned a positive result.
  * bad  — The check has returned a negative result.
    Enum: "good", "bad"

  - `result.data.scores.scores.basic-uptime.sub_scores.message` (string)
    The check subcategory's status message.
    Example: "All project pages can be reached and thus be visited by potential customers."

  - `result.data.scores.scores.basic-uptime.sub_scores.description` (string)
    A description of the check.
    Example: "It is evaluated whether the project is currently accessible. If it is not, this is usually due to technical reasons."

  - `result.data.scores.scores.basic-uptime.sub_scores.identifier` (string)
    An unique identifier for the check.
    Example: "Score:Uptime:Down"

  - `result.data.scores.scores.basic-uptime.sub_scores.score` (integer)
    A numeral score for the check subcategory.

 Note: 

A higher score indicates that your website performs well in that check.
    Example: 100

  - `result.data.scores.scores.basic-uptime.sub_scores.incidents` (array)
    Example: []

  - `result.data.scores.scores.basic-uptime.sub_scores.weight` (integer)
    The weighted contribution of the subcategory check's score result to the master object's score result.
    Example: 20

  - `result.data.scores.scores.basic-uptime.sub_scores.weighted_score` (integer)
    The score after weight has been adjusted.
    Example: 20

  - `result.data.scores.scores.basic-uptime.sub_scores.attributes` (object)

  - `result.data.scores.scores.basic-performance` (object)

  - `result.data.scores.scores.basic-seo` (object)

  - `result.data.scores.scores.basic-content` (object)

  - `result.data.scores.scores.basic-tech` (object)

  - `result.data.scores.scores.basic-security` (object)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


